package com.dr.plugins.example;

import android.content.Context;
import android.printservice.PrintService;
import android.telephony.TelephonyManager;

import com.getcapacitor.JSObject;
import com.getcapacitor.Plugin;
import com.getcapacitor.PluginCall;
import com.getcapacitor.PluginMethod;
import com.getcapacitor.annotation.CapacitorPlugin;

@CapacitorPlugin(name = "Example")
public class ExamplePlugin extends Plugin {

    private Example implementation = new Example();
    private PrintUtil util = new PrintUtil();

    @PluginMethod
    public void echo(PluginCall call) {
        String value = call.getString("value");

        JSObject ret = new JSObject();
        ret.put("value", implementation.echo(value));
        call.resolve(ret);
    }

    //查看设备状态
    //0正常 1异常
    @PluginMethod
    public void verify(PluginCall call) {
        JSObject ret = new JSObject();
        ret.put("ret", PrintUtil.verify(getContext()));
        call.resolve(ret);
    }

    //查询打印机状态
    //0正常 1异常
    @PluginMethod
    public void checkPrintStatus(PluginCall call) {
        JSObject ret = new JSObject();
        ret.put("ret", PrintUtil.checkPrintStatus());
        call.resolve(ret);
    }

    //打印
    @PluginMethod
    public void print(PluginCall call) {
        String value = call.getString("value");
        JSObject ret = new JSObject();
        ret.put("value", PrintUtil.printBitmap(FileBase64BitmapUtil.base64ToBitmap(value), getContext()));
        call.resolve(ret);
    }

}
